import { FieldInfo } from 'model-util-base';
import { ConditionUtil, FieldUtil, TableUtilImpl, IdType, JoinTable } from 'model-util';
import { MsMonitorMetricsTemplateItem } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-06-22 11:31
 */
interface MsMonitorMetricsTemplateItemCU extends ConditionUtil<MsMonitorMetricsTemplateItemCU> {
    ID: FieldUtil<MsMonitorMetricsTemplateItemCU>;
    CREATE_TIME: FieldUtil<MsMonitorMetricsTemplateItemCU>;
    UPDATE_TIME: FieldUtil<MsMonitorMetricsTemplateItemCU>;
    STATE: FieldUtil<MsMonitorMetricsTemplateItemCU>;
    TEMPLATE_ID: FieldUtil<MsMonitorMetricsTemplateItemCU>;
    METRICS_ID: FieldUtil<MsMonitorMetricsTemplateItemCU>;
    UPPER_LIMIT: FieldUtil<MsMonitorMetricsTemplateItemCU>;
    HOLD_MINUTES: FieldUtil<MsMonitorMetricsTemplateItemCU>;
    LOWER_LIMIT: FieldUtil<MsMonitorMetricsTemplateItemCU>;
    COOLING_MINUTES: FieldUtil<MsMonitorMetricsTemplateItemCU>;
}
declare class MsMonitorMetricsTemplateItemMU extends TableUtilImpl<MsMonitorMetricsTemplateItemCU, MsMonitorMetricsTemplateItem> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: JoinTable[];
    subTables: any[];
    createConditionUtil(): MsMonitorMetricsTemplateItemCU;
    static get ID(): FieldUtil<MsMonitorMetricsTemplateItemCU>;
    static get CREATE_TIME(): FieldUtil<MsMonitorMetricsTemplateItemCU>;
    static get UPDATE_TIME(): FieldUtil<MsMonitorMetricsTemplateItemCU>;
    static get STATE(): FieldUtil<MsMonitorMetricsTemplateItemCU>;
    static get TEMPLATE_ID(): FieldUtil<MsMonitorMetricsTemplateItemCU>;
    static get METRICS_ID(): FieldUtil<MsMonitorMetricsTemplateItemCU>;
    static get UPPER_LIMIT(): FieldUtil<MsMonitorMetricsTemplateItemCU>;
    static get HOLD_MINUTES(): FieldUtil<MsMonitorMetricsTemplateItemCU>;
    static get LOWER_LIMIT(): FieldUtil<MsMonitorMetricsTemplateItemCU>;
    static get COOLING_MINUTES(): FieldUtil<MsMonitorMetricsTemplateItemCU>;
    static get METRICS_CODE(): FieldInfo;
    static get METRICS_NAME(): FieldInfo;
    static get METRICS_UNIT_NAME(): FieldInfo;
    static get PROMETHEUS_QUERY_PARAM(): FieldInfo;
    get ID(): FieldUtil<MsMonitorMetricsTemplateItemCU>;
    get CREATE_TIME(): FieldUtil<MsMonitorMetricsTemplateItemCU>;
    get UPDATE_TIME(): FieldUtil<MsMonitorMetricsTemplateItemCU>;
    get STATE(): FieldUtil<MsMonitorMetricsTemplateItemCU>;
    get TEMPLATE_ID(): FieldUtil<MsMonitorMetricsTemplateItemCU>;
    get METRICS_ID(): FieldUtil<MsMonitorMetricsTemplateItemCU>;
    get UPPER_LIMIT(): FieldUtil<MsMonitorMetricsTemplateItemCU>;
    get HOLD_MINUTES(): FieldUtil<MsMonitorMetricsTemplateItemCU>;
    get LOWER_LIMIT(): FieldUtil<MsMonitorMetricsTemplateItemCU>;
    get COOLING_MINUTES(): FieldUtil<MsMonitorMetricsTemplateItemCU>;
    get METRICS_CODE(): FieldInfo;
    get METRICS_NAME(): FieldInfo;
    get METRICS_UNIT_NAME(): FieldInfo;
    get PROMETHEUS_QUERY_PARAM(): FieldInfo;
}
export { MsMonitorMetricsTemplateItemMU, MsMonitorMetricsTemplateItemCU };
